diff -ruN ccp4srs-old/srsrem.cpp ccp4srs/srsrem.cpp
--- ccp4srs-old/srsrem.cpp	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/srsrem.cpp	2014-09-09 21:34:12.000000000 -0700
@@ -17,10 +17,10 @@
 #include "ccp4srs/ccp4srs_manager.h"
 #include "ccp4srs/ccp4srs_defs.h"
 
-#include "mmdb/mmdb_tables.h"
+#include "mmdb2/mmdb_tables.h"
 
 
-void printInstructions ( cpstr argv0 )  {
+void printInstructions ( mmdb::cpstr argv0 )  {
 
   printf (
     "\n"
@@ -37,20 +37,23 @@
 }
 
 
-PCMMDBManager getPDB ( cpstr fileName )  {
-PCMMDBManager mmdb;
-char          S[1000];
-int           rc,lcount;
+mmdb::PManager getPDB ( mmdb::cpstr fileName )  {
+mmdb::PManager mmdb;
+char           S[1000];
+int            lcount;
+mmdb::ERROR_CODE rc;
 
   //  1.  Create an instance of MMDB
-  mmdb = new CMMDBManager();
+  mmdb = new mmdb::Manager();
 
   //  2.  Read coordinate file.
   //  2.1 Set all necessary read flags -- check with the top of
   //      file  mmdb_file.h  as needed
-  mmdb->SetFlag ( MMDBF_PrintCIFWarnings | MMDBF_FixSpaceGroup |
-                  MMDBF_IgnoreDuplSeqNum | MMDBF_IgnoreHash    |
-                  MMDBF_IgnoreNonCoorPDBErrors );
+  mmdb->SetFlag ( mmdb::MMDBF_PrintCIFWarnings |
+                  mmdb::MMDBF_FixSpaceGroup    |
+                  mmdb::MMDBF_IgnoreDuplSeqNum |
+                  mmdb::MMDBF_IgnoreHash       |
+                  mmdb::MMDBF_IgnoreNonCoorPDBErrors );
 
   //  3. Read file
   rc = mmdb->ReadCoorFile ( fileName );
@@ -61,7 +64,7 @@
     //  function for easy error message printing.
     printf ( " ***** error #%i on reading file %s:\n\n %s\n\n",
              rc,fileName,
-             GetErrorDescription(rc) );
+             mmdb::GetErrorDescription(rc) );
     //  Location of the error may be identified as precise as line
     //  number and the line itself (PDB only. Errors in mmCIF are
     //  located by category/item name). This information is now
@@ -78,9 +81,9 @@
     //  MMDB allows to identify the type of file that has been just
     //  read:
     switch (mmdb->GetFileType())  {
-      case MMDB_FILE_PDB    : printf ( " PDB"         );  break;
-      case MMDB_FILE_CIF    : printf ( " mmCIF"       );  break;
-      case MMDB_FILE_Binary : printf ( " MMDB binary" );  break;
+      case mmdb::MMDB_FILE_PDB    : printf ( " PDB"         );  break;
+      case mmdb::MMDB_FILE_CIF    : printf ( " mmCIF"       );  break;
+      case mmdb::MMDB_FILE_Binary : printf ( " MMDB binary" );  break;
       default : printf ( " Unknown (report as a bug!)" );
     }
     printf ( " ... file %s has been read in.\n",fileName );
@@ -90,20 +93,21 @@
 
 }
 
-int translateHydrogens ( PCCP4SRSMonomer monomer,
-                         PPCAtom atom, AtomName aname[],
-                         ivector elem, ivector amap, int nAtoms )  {
-AtomName      a;
-realtype      dx,dy,dz,d0;
-ivector       amapm;
-int           i,j,k, mon_atom, rc;
-Boolean       done;
+int translateHydrogens ( ccp4srs::PMonomer monomer,
+                         mmdb::PPAtom atom, mmdb::AtomName aname[],
+                         mmdb::ivector elem, mmdb::ivector amap,
+                         int nAtoms )  {
+mmdb::AtomName a;
+mmdb::realtype dx,dy,dz,d0;
+mmdb::ivector  amapm;
+int            i,j,k, mon_atom, rc;
+bool           done;
 
   // calculate nearest neighbours for hydrogens
 
   for (i=0;i<nAtoms;i++)
     if (elem[i]==1)  {  // check only hydrogens
-      d0 = MaxReal;
+      d0 = mmdb::MaxReal;
       k  = -1;
       for (j=0;j<nAtoms;j++)
         if (elem[j]>1)  {
@@ -128,11 +132,11 @@
   // make all possible name-based renamings
 
   amapm = NULL;
-  GetVectorMemory ( amapm,monomer->n_atoms(),0 );
+  mmdb::GetVectorMemory ( amapm,monomer->n_atoms(),0 );
   for (j=0;j<monomer->n_atoms();j++)
     amapm[j] = 0;
 
-  done = True;
+  done = true;
   for (i=0;i<nAtoms;i++)
     if (elem[i]==1)  {  // check only hydrogens
       k = -1;
@@ -149,7 +153,7 @@
         amap [i] = -1; // mapped
         amapm[k] = -1; // used
       } else  {
-        done = False;
+        done = false;
       }
     }
 
@@ -159,7 +163,7 @@
 
     for (i=0;i<nAtoms;i++)
       if ((elem[i]==1) && (amap[i]>=0))  {
-        strcpy_css ( a,atom[amap[i]]->name );
+        mmdb::strcpy_css ( a,atom[amap[i]]->name );
         mon_atom = monomer->atom_no ( a );
         if (mon_atom>=0)  {
           k = 0;
@@ -188,20 +192,21 @@
 
   }
 
-  FreeVectorMemory ( amapm,0 );
+  mmdb::FreeVectorMemory ( amapm,0 );
 
   return rc;
 
 }
 
-int processMonomer ( PCCP4SRSMonomer monomer,
-                     PPCAtom atom, AtomName aname[],
-                     ivector elem, ivector amap, int nAtoms )  {
-AtomName a;
-int      i,j,k;
-Boolean  areHydrogens;
+int processMonomer ( ccp4srs::PMonomer monomer,
+                     mmdb::PPAtom atom, mmdb::AtomName aname[],
+                     mmdb::ivector elem, mmdb::ivector amap,
+                     int nAtoms )  {
+mmdb::AtomName a;
+int            i,j,k;
+bool           areHydrogens;
 
-  areHydrogens = False;
+  areHydrogens = false;
 
   // named as in current Monomer Library?
   k = 1;
@@ -212,7 +217,7 @@
         if (!strcmp(aname[i],monomer->atom(j)->name()))
           k = j;
     } else
-      areHydrogens = True;
+      areHydrogens = true;
 
   if (k>=0)  {
     if (areHydrogens)
@@ -265,7 +270,7 @@
 
 
 
-cpstr special_name[] = {
+mmdb::cpstr special_name[] = {
     "Ar", "A",
     "Cr", "C",
     "Tr", "T",
@@ -311,29 +316,29 @@
 };
 
 
-void translateResidue ( PCResidue res, PCCP4SRSManager srs,
-                        PCFile structFile )  {
-PCCP4SRSMonomer monomer;
-PPCAtom         atom;
-AtomName       *aname;
-ivector         elem,amap;
-char            S[1000];
-cpstr           p;
-int             nAtoms,nAtoms0,nNonHAtoms0, i,rc;
+void translateResidue ( mmdb::PResidue res, ccp4srs::PManager srs,
+                        mmdb::io::PFile structFile )  {
+ccp4srs::PMonomer monomer;
+mmdb::PPAtom      atom;
+mmdb::AtomName   *aname;
+mmdb::ivector     elem,amap;
+char              S[1000];
+mmdb::cpstr       p;
+int               nAtoms,nAtoms0,nNonHAtoms0, i,rc;
 
   atom   = NULL;
   elem   = NULL;
   nAtoms = 0;
   res->GetAtomTable1 ( atom,nAtoms );
-  aname       = new AtomName[nAtoms];
-  GetVectorMemory ( elem,nAtoms,0 );
-  GetVectorMemory ( amap,nAtoms,0 );
+  aname       = new mmdb::AtomName[nAtoms];
+  mmdb::GetVectorMemory ( elem,nAtoms,0 );
+  mmdb::GetVectorMemory ( amap,nAtoms,0 );
 
   nAtoms0     = 0; // number of atoms in main location
   nNonHAtoms0 = 0;
   for (i=0;i<nAtoms;i++)  {
-    strcpy_css ( aname[i],atom[i]->name );
-    elem[i] = getElementNo ( atom[i]->element );
+    mmdb::strcpy_css ( aname[i],atom[i]->name );
+    elem[i] = mmdb::getElementNo ( atom[i]->element );
     if ((!atom[i]->altLoc[0]) || (!atom[i]->altLoc==' '))  {
       nAtoms0++;
       if (elem[i]>1)
@@ -411,8 +416,8 @@
     printf ( " *** residue %s could not be identified\n",
              res->GetResidueID(S) );
 
-  FreeVectorMemory ( amap,0 );
-  FreeVectorMemory ( elem,0 );
+  mmdb::FreeVectorMemory ( amap,0 );
+  mmdb::FreeVectorMemory ( elem,0 );
 
   delete[] aname;
   if (atom)  delete[] atom;
@@ -422,13 +427,13 @@
 
 int main ( int argc, char ** argv, char ** env )  {
 UNUSED_ARGUMENT(env);
-PCCP4SRSManager srs;
-PCMMDBManager   mmdb;
-PPCResidue      res;
-PCFile          structFile;
-char            S[1000];
-int             selHnd,nResidues;
-int             argNo,rc, i;
+ccp4srs::PManager srs;
+mmdb::PManager    mmdb;
+mmdb::PPResidue   res;
+mmdb::io::PFile   structFile;
+char              S[1000];
+int               selHnd,nResidues;
+int               argNo,rc, i;
 
   if (argc<3)  {
     printInstructions ( argv[0] );
@@ -437,7 +442,7 @@
 
   //  1.  Make routine initializations, which must always be done
   //      before working with MMDB
-  InitMatType();
+  mmdb::InitMatType();
 
   // $CLIB/ccp4srs/srsdata
 
@@ -457,9 +462,9 @@
     argNo = 1;
   }
 
-  srs = new CCP4SRSManager();
+  srs = new ccp4srs::Manager();
   rc = srs->loadIndex ( S );
-  if (rc!=CCP4SRS_Ok)  {
+  if (rc!=ccp4srs::CCP4SRS_Ok)  {
     printf ( " *** *.srs files not found at '%s'.\n",S );
     delete srs;
     return 1;
@@ -472,7 +477,7 @@
 
   // 4. Select all residues
   selHnd = mmdb->NewSelection();
-  mmdb->Select ( selHnd,STYPE_RESIDUE,"*",SKEY_NEW );
+  mmdb->Select ( selHnd,mmdb::STYPE_RESIDUE,"*",mmdb::SKEY_NEW );
 
   // 5. Obtain selected residues
   mmdb->GetSelIndex ( selHnd,res,nResidues );
diff -ruN ccp4srs-old/srsview.cpp ccp4srs/srsview.cpp
--- ccp4srs-old/srsview.cpp	2014-03-24 10:40:19.000000000 -0700
+++ ccp4srs/srsview.cpp	2014-09-09 21:34:12.000000000 -0700
@@ -12,16 +12,14 @@
 // =================================================================
 //
 
-#ifndef  __STRING_H
 #include <string.h>
-#endif
 
 #include "ccp4srs/ccp4srs_manager.h"
 #include "ccp4srs/ccp4srs_defs.h"
 
 
 
-void printInstructions ( cpstr argv0 )  {
+void printInstructions ( mmdb::cpstr argv0 )  {
 
   printf (
     "\n"
@@ -47,20 +45,48 @@
 
 }
 
+void printSmiles ( mmdb::cpstr title, ccp4srs::PSmiles smiles )  {
+mmdb::cpstr  ver,plain,canonical;
+  if (!smiles->isEmpty())  {
+    ver       = smiles->getVersion();
+    plain     = smiles->getSmiles();
+    canonical = smiles->getCanonical();
+    printf ( " Smiles from %s version %s\n",title,ver );
+    if (plain)
+      printf ( "      plain: %s\n",plain );
+    if (canonical)
+      printf ( "  canonical: %s\n",canonical );
+  }
+}
+
+void printInChiI ( ccp4srs::PSmiles smiles )  {
+mmdb::cpstr  ver,plain,canonical;
+  if (!smiles->isEmpty())  {
+    ver       = smiles->getVersion();
+    plain     = smiles->getInChI();
+    canonical = smiles->getInChIKey();
+    printf ( " InChI version %s\n",ver );
+    if (plain)
+      printf ( "      InChI: %s\n",plain );
+    if (canonical)
+      printf ( "  InChI Key: %s\n",canonical );
+  }
+}
+
 
 int main ( int argc, char ** argv, char ** env )  {
 UNUSED_ARGUMENT(env);
-PCCP4SRSManager srs;
-PCCP4SRSMonomer Monomer;
-PCCP4SRSAtom    Atom;
-PCCP4SRSBond    Bond;
-PCCP4SRSAngle   Angle;
-PCGraph         Graph;
-AtomName        aname;
-Element         elem;
-char            S[1000];
-realtype        total_charge;
-int             rc,i,l, argNo;
+ccp4srs::PManager  srs;
+ccp4srs::PMonomer  Monomer;
+ccp4srs::PAtom     Atom;
+ccp4srs::PBond     Bond;
+ccp4srs::PAngle    Angle;
+mmdb::math::PGraph Graph;
+mmdb::AtomName     aname;
+mmdb::Element      elem;
+char               S[1000];
+mmdb::realtype     total_charge;
+int                rc,i,l, argNo;
 
   if (argc<2)  {
     printInstructions ( argv[0] );
@@ -69,7 +95,7 @@
 
   //  1.  Make routine initializations, which must always be done
   //      before working with MMDB
-  InitMatType();
+  mmdb::InitMatType();
 
   //  2.  Load SRS index
   if (!strcmp(argv[1],"-f"))  {
@@ -87,9 +113,9 @@
     argNo = 1;
   }
 
-  srs = new CCP4SRSManager();
+  srs = new ccp4srs::Manager();
   rc = srs->loadIndex ( S );
-  if (rc!=CCP4SRS_Ok)  {
+  if (rc!=ccp4srs::CCP4SRS_Ok)  {
     printf ( " *** *.srs files not found at '%s'.\n",S );
     delete srs;
     return 1;
@@ -163,7 +189,7 @@
                  Atom->energy_type(),
                  Atom->chirality  (),
                  Atom->leaving    () );
-        if (Atom->x()>-MaxShortReal/2.1)
+        if (Atom->x()>-mmdb::MaxShortReal/2.1)
               printf ( "|%10.3f|%10.3f|%10.3f\n",
                        Atom->x(),Atom->y(),Atom->z() );
         else  printf ( "|   ****   |   ****   |   ****   \n" );
@@ -211,15 +237,15 @@
       for (i=0;i<Monomer->n_bonds();i++)  {
         Bond = Monomer->bond(i);
         switch (Bond->order())  {
-          case CCP4SRSBond::noOrder : strcpy ( S,"nord" );  break;
-          case CCP4SRSBond::Single  : strcpy ( S,"sing" );  break;
-          case CCP4SRSBond::Aromatic: strcpy ( S,"arom" );  break;
-          case CCP4SRSBond::Double  : strcpy ( S,"doub" );  break;
-          case CCP4SRSBond::Triple  : strcpy ( S,"trip" );  break;
-          case CCP4SRSBond::Deloc   : strcpy ( S,"delc" );  break;
-          case CCP4SRSBond::Covalent: strcpy ( S,"covl" );  break;
-          case CCP4SRSBond::Metal   : strcpy ( S,"metl" );  break;
-          default                   : strcpy ( S,"unkn" );
+          case ccp4srs::Bond::noOrder : strcpy ( S,"nord" );  break;
+          case ccp4srs::Bond::Single  : strcpy ( S,"sing" );  break;
+          case ccp4srs::Bond::Aromatic: strcpy ( S,"arom" );  break;
+          case ccp4srs::Bond::Double  : strcpy ( S,"doub" );  break;
+          case ccp4srs::Bond::Triple  : strcpy ( S,"trip" );  break;
+          case ccp4srs::Bond::Deloc   : strcpy ( S,"delc" );  break;
+          case ccp4srs::Bond::Covalent: strcpy ( S,"covl" );  break;
+          case ccp4srs::Bond::Metal   : strcpy ( S,"metl" );  break;
+          default                     : strcpy ( S,"unkn" );
         }
         printf ( "%4i| %3i  %3i|%5s|%10.3f|%10.3f\n",
                  i+1,Bond->atom1()+1,Bond->atom2()+1,S,
@@ -240,6 +266,12 @@
         }
       }
 
+
+      printSmiles ( "ACDLabs",Monomer->getACDLabs() );
+      printSmiles ( "CACTVS" ,Monomer->getCACTVS () );
+      printSmiles ( "OpenEye",Monomer->getOpenEye() );
+      printInChiI ( Monomer->getInChI() );
+
       /*
       if (Monomer->nSBS->nLeavingAtoms>0)  {
         printf ( "\n Leaving atoms:\n" );
@@ -255,9 +287,9 @@
     Graph = NULL;  // must!
     i     = srs->getGraph ( argv[argNo+1],Graph,0 );
 
-    if (i==CCP4SRS_EntryNotFound)
+    if (i==ccp4srs::CCP4SRS_EntryNotFound)
       printf ( " --- compound %s not found in SRS.\n",argv[argNo+1]);
-    else if (i==CCP4SRS_FileNotFound)
+    else if (i==ccp4srs::CCP4SRS_FileNotFound)
       printf ( " --- graph descriptions are not found in SRS.\n" );
     else  {
 
